/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.api.event;

import com.kerio.im.core.api.service.ServiceBus;
import java.util.Properties;

/**
 * Defines event passed to listeners on service startup. Contains command
 * line arguments.
 * @author tskoda
 */
public class StartupEvent implements ServiceBus.Event{
    
    private Properties cmd;

    public StartupEvent(Properties cmd) {
        this.cmd = cmd;
    }

    public Properties getCmd() {
        return cmd;
    }

    @Override
    public String toString() {
        return "StartupEvent";
    }
    
}
