/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.api.event;

import com.kerio.im.core.api.service.ServiceBus;
import java.util.Map;

/**
 * Events is distributed when im server is fully deployed.
 * @author tskoda
 */
public class StartupFinishedEvent implements ServiceBus.Event{
    private final Map<String, String> config;

    public StartupFinishedEvent(Map<String, String> config) {
        this.config = config;
    }

    public Map<String, String> getContent() {
        return config;
    }
}
