/*
 *  Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.core.api.service;

/**
 *
 * @author tskoda
 */
public enum PacketType {

    /**
     * This is real message with existing body only. Other chat types (e.g.
     * chatstates notifications) should have type DEFAULT.
     */
    MESSAGE,
    /**
     * This is presence packet.
     */
    PRESENCE,
    /**
     * This is error packet.
     */
    ERROR,
    /**
     * This is common type for packet we are not interested in.
     */
    DEFAULT
}
