package com.kerio.lib.json.api.connect.admin.iface;

import static org.junit.Assert.assertNull;

import com.kerio.lib.json.api.connect.admin.iface.Content.AddBlackListsResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.GetAntiSpamSettingResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.GetAntivirusSettingResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.GetAttachmentRulesResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.GetAttachmentSettingResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.GetAvailableAttachmentsResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.GetBlackListListResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.GetCustomRuleListResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.RemoveBlackListsResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.SetAntivirusSettingResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.SetBlackListsResult;
import com.kerio.lib.json.api.connect.admin.iface.Content.UpdateAntivirusStatusResult;
import com.kerio.lib.json.api.connect.admin.struct.AntiSpamSetting;
import com.kerio.lib.json.api.connect.admin.struct.AntivirusSetting;
import com.kerio.lib.json.api.connect.admin.struct.AttachmentItem;
import com.kerio.lib.json.api.connect.admin.struct.AttachmentSetting;
import com.kerio.lib.json.api.connect.admin.struct.BlackList;
import com.kerio.lib.json.api.connect.admin.struct.CustomRule;
import com.kerio.lib.json.api.connect.admin.struct.IntegratedAvirUpdateStatus;
import com.kerio.lib.json.api.connect.admin.struct.common.Error;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class Content_AddBlackListsResultDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: Content_AddBlackListsResult */
  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull() {

    // Arrange
    final AddBlackListsResult objectUnderTest = new AddBlackListsResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull2() {

    // Arrange
    final RemoveBlackListsResult objectUnderTest = new RemoveBlackListsResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull3() {

    // Arrange
    final SetAntivirusSettingResult objectUnderTest = new SetAntivirusSettingResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull4() {

    // Arrange
    final SetBlackListsResult objectUnderTest = new SetBlackListsResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getFileNamesOutputNull() {

    // Arrange
    final GetAvailableAttachmentsResult objectUnderTest = new GetAvailableAttachmentsResult();

    // Act
    final String[] retval = objectUnderTest.getFileNames();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getFilterRulesOutputNull() {

    // Arrange
    final GetAttachmentRulesResult objectUnderTest = new GetAttachmentRulesResult();

    // Act
    final AttachmentItem[] retval = objectUnderTest.getFilterRules();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getListOutputNull() {

    // Arrange
    final GetBlackListListResult objectUnderTest = new GetBlackListListResult();

    // Act
    final BlackList[] retval = objectUnderTest.getList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getListOutputNull2() {

    // Arrange
    final GetCustomRuleListResult objectUnderTest = new GetCustomRuleListResult();

    // Act
    final CustomRule[] retval = objectUnderTest.getList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getMimeTypesOutputNull() {

    // Arrange
    final GetAvailableAttachmentsResult objectUnderTest = new GetAvailableAttachmentsResult();

    // Act
    final String[] retval = objectUnderTest.getMimeTypes();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSettingOutputNull() {

    // Arrange
    final GetAntiSpamSettingResult objectUnderTest = new GetAntiSpamSettingResult();

    // Act
    final AntiSpamSetting retval = objectUnderTest.getSetting();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSettingOutputNull2() {

    // Arrange
    final GetAntivirusSettingResult objectUnderTest = new GetAntivirusSettingResult();

    // Act
    final AntivirusSetting retval = objectUnderTest.getSetting();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSettingOutputNull3() {

    // Arrange
    final GetAttachmentSettingResult objectUnderTest = new GetAttachmentSettingResult();

    // Act
    final AttachmentSetting retval = objectUnderTest.getSetting();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getStatusOutputNull() {

    // Arrange
    final UpdateAntivirusStatusResult objectUnderTest = new UpdateAntivirusStatusResult();

    // Act
    final IntegratedAvirUpdateStatus retval = objectUnderTest.getStatus();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getTotalItemsOutputNull() {

    // Arrange
    final GetCustomRuleListResult objectUnderTest = new GetCustomRuleListResult();

    // Act
    final Integer retval = objectUnderTest.getTotalItems();

    // result
    assertNull(retval);
  }
}
