package com.kerio.lib.json.api.connect.admin.iface;

import static org.junit.Assert.assertNull;

import com.kerio.lib.json.api.connect.admin.iface.Delivery.AddEtrnDownloadListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.AddPop3AccountListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.AddPop3SortingListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.AddScheduledActionListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.GetEtrnDownloadListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.GetEtrnTimeoutResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.GetInternetSettingsResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.GetPop3AccountListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.GetPop3SortingListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.GetRasNamesResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.GetScheduledActionListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.RemoveEtrnDownloadListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.RemovePop3AccountListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.RemovePop3SortingListResult;
import com.kerio.lib.json.api.connect.admin.iface.Delivery.RemoveScheduledActionListResult;
import com.kerio.lib.json.api.connect.admin.struct.EtrnDownload;
import com.kerio.lib.json.api.connect.admin.struct.InternetSettings;
import com.kerio.lib.json.api.connect.admin.struct.Pop3Account;
import com.kerio.lib.json.api.connect.admin.struct.Pop3Sorting;
import com.kerio.lib.json.api.connect.admin.struct.ScheduledAction;
import com.kerio.lib.json.api.connect.admin.struct.common.Error;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class Delivery_AddEtrnDownloadListResultDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: Delivery_AddEtrnDownloadListResult */
  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull() {

    // Arrange
    final AddEtrnDownloadListResult objectUnderTest = new AddEtrnDownloadListResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull2() {

    // Arrange
    final AddPop3AccountListResult objectUnderTest = new AddPop3AccountListResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull3() {

    // Arrange
    final AddPop3SortingListResult objectUnderTest = new AddPop3SortingListResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull4() {

    // Arrange
    final AddScheduledActionListResult objectUnderTest = new AddScheduledActionListResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull5() {

    // Arrange
    final RemoveEtrnDownloadListResult objectUnderTest = new RemoveEtrnDownloadListResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull6() {

    // Arrange
    final RemovePop3AccountListResult objectUnderTest = new RemovePop3AccountListResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull7() {

    // Arrange
    final RemovePop3SortingListResult objectUnderTest = new RemovePop3SortingListResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorsOutputNull8() {

    // Arrange
    final RemoveScheduledActionListResult objectUnderTest = new RemoveScheduledActionListResult();

    // Act
    final Error[] retval = objectUnderTest.getErrors();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getListOutputNull() {

    // Arrange
    final GetEtrnDownloadListResult objectUnderTest = new GetEtrnDownloadListResult();

    // Act
    final EtrnDownload[] retval = objectUnderTest.getList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getListOutputNull2() {

    // Arrange
    final GetPop3AccountListResult objectUnderTest = new GetPop3AccountListResult();

    // Act
    final Pop3Account[] retval = objectUnderTest.getList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getListOutputNull3() {

    // Arrange
    final GetPop3SortingListResult objectUnderTest = new GetPop3SortingListResult();

    // Act
    final Pop3Sorting[] retval = objectUnderTest.getList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getListOutputNull4() {

    // Arrange
    final GetScheduledActionListResult objectUnderTest = new GetScheduledActionListResult();

    // Act
    final ScheduledAction[] retval = objectUnderTest.getList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getNamesOutputNull() {

    // Arrange
    final GetRasNamesResult objectUnderTest = new GetRasNamesResult();

    // Act
    final String[] retval = objectUnderTest.getNames();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSecondsOutputNull() {

    // Arrange
    final GetEtrnTimeoutResult objectUnderTest = new GetEtrnTimeoutResult();

    // Act
    final Integer retval = objectUnderTest.getSeconds();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getSettingsOutputNull() {

    // Arrange
    final GetInternetSettingsResult objectUnderTest = new GetInternetSettingsResult();

    // Act
    final InternetSettings retval = objectUnderTest.getSettings();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getTotalItemsOutputNull() {

    // Arrange
    final GetEtrnDownloadListResult objectUnderTest = new GetEtrnDownloadListResult();

    // Act
    final Integer retval = objectUnderTest.getTotalItems();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getTotalItemsOutputNull2() {

    // Arrange
    final GetPop3AccountListResult objectUnderTest = new GetPop3AccountListResult();

    // Act
    final Integer retval = objectUnderTest.getTotalItems();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getTotalItemsOutputNull3() {

    // Arrange
    final GetPop3SortingListResult objectUnderTest = new GetPop3SortingListResult();

    // Act
    final Integer retval = objectUnderTest.getTotalItems();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getTotalItemsOutputNull4() {

    // Arrange
    final GetScheduledActionListResult objectUnderTest = new GetScheduledActionListResult();

    // Act
    final Integer retval = objectUnderTest.getTotalItems();

    // result
    assertNull(retval);
  }
}
