/*
 * Copyright 2015 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.rpcserver;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 *
 * @author tskoda
 */
public class ResponseEnvelope {

    @JsonProperty(value = "jsonrpc")
    private String jsonrpc;
    
    @JsonProperty(value = "id")
    private int id;
    
    @JsonProperty(value = "result")
    private Object result;
    
    @JsonProperty(value = "error")
    private Object error;

    public ResponseEnvelope(String jsonrpc, int id, Object result, Object error) {
        this.jsonrpc = jsonrpc;
        this.id = id;
        this.result = result;
        this.error = error;
    }

    public String getJsonrpc() {
        return jsonrpc;
    }

    public void setJsonrpc(String jsonrpc) {
        this.jsonrpc = jsonrpc;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Object getResult() {
        return result;
    }

    public void setResult(Object result) {
        this.result = result;
    }

    public Object getError() {
        return error;
    }

    public void setError(Object error) {
        this.error = error;
    }
    
    
    

}
