/*
 * Copyright 2014 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.tigase.bridge.IM;

import com.kerio.im.external.ISingnalHandler;

/**
 *
 * @author oleopold
 */
public class IMSynchronizationWatcher implements ISingnalHandler {
    boolean restartNeeded;

    public IMSynchronizationWatcher() {
        this.restartNeeded = false;
    }

    @Override
    public synchronized void signalRestartNeeded() {
        this.restartNeeded = true;
    }

    public synchronized boolean isRestartNeeded() {
        return restartNeeded;
    }
}
