/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.configuration.task;

import com.kerio.im.common.Task;
import com.kerio.im.tigase.ConnectComponent;
import com.kerio.im.tigase.configuration.PropertyProcessor;
import java.util.logging.Logger;

/**
 *
 * @author tskoda
 */
public class ApplyConnectComponentProperties implements Task<PropertyProcessor> {

    private static final Logger LOG = Logger.getLogger(ApplyConnectComponentProperties.class.getName());
    private static final String ITEM_IDENTIFIER = ConnectComponent.COMPONENT_NAME + "/%1$s[%2$s]";
    
    @Override
    public void run(PropertyProcessor processor) {
    }
    
    private void apply(PropertyProcessor processor, String parameter, String type, String value) {
        String identifier = String.format(ITEM_IDENTIFIER, parameter, type);
        processor.put(identifier, value);
    }
}
