/*
 *  Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */

package com.kerio.im.tigase.roster;

import tigase.xmpp.BareJID;
import tigase.xmpp.NotAuthorizedException;
import tigase.xmpp.XMPPResourceConnection;

//this class exists only for making methods with XmppResourceConnection parameter testable
public class SessionUtil {

    public BareJID ownerOf(XMPPResourceConnection connection) throws NotAuthorizedException {
        return connection.getBareJID();
    }

    public boolean localDomain(XMPPResourceConnection session) throws NotAuthorizedException {
        return session.isLocalDomain(ownerOf(session).getDomain(), false);
    }
    
}
