/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.xmpp.api;

import com.kerio.im.common.error.Code;
import com.kerio.im.common.error.ServiceException;

/**
 *
 * @author tskoda
 */
public class XmppException extends ServiceException {

    public XmppException(String message, Code code) {
        super(message, code);
    }

    public XmppException(String message, Code code, Object... parameters) {
        super(message, code, parameters);
    }
    
    public XmppException(String message, Throwable cause, Code code) {
        super(message, cause, code);
    }
    
    public XmppException(String message, Throwable cause, Code code, Object... parameters) {
        super(message, cause, code, parameters);
    }
    
}
