/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.connect;

import com.kerio.im.common.RegisterAs;
import com.kerio.im.common.TypedProperties;
import com.kerio.im.external.ExtService;
import com.kerio.im.external.ExtServiceFactory;
import java.util.Map;

/**
 *
 * @author tskoda
 */
@RegisterAs(interfaces=ExtServiceFactoryImpl.class)
public class ExtServiceFactoryImpl implements ExtServiceFactory {

    public ExtServiceFactoryImpl() {
    }

    @Override
    public ExtService getService(TypedProperties global, Map<String, String> specific) {
        return new ExtServiceImpl(specific);
    }
    
}
