package com.kerio.lib.json.api.connect.admin.iface;

import static org.junit.Assert.assertNull;

import com.kerio.lib.json.api.connect.admin.iface.Init.CheckMessageStorePathResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.CreateDistributableDomainResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetBrowserLanguagesResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetCentralManagementResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetCentralManagementStatusResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetDirsResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetDistributableDomainsResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetEncryptionStatusResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetEulaResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetHostnameResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetMessageStorePathResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetNamedConstantListResult;
import com.kerio.lib.json.api.connect.admin.iface.Init.GetProductInfoResult;
import com.kerio.lib.json.api.connect.admin.struct.CentralManagementConfig;
import com.kerio.lib.json.api.connect.admin.struct.CentralManagementStatus;
import com.kerio.lib.json.api.connect.admin.struct.ClusterError;
import com.kerio.lib.json.api.connect.admin.struct.Directory;
import com.kerio.lib.json.api.connect.admin.struct.DirectoryAccessResult;
import com.kerio.lib.json.api.connect.admin.struct.EncryptionError;
import com.kerio.lib.json.api.connect.admin.struct.EncryptionProgress;
import com.kerio.lib.json.api.connect.admin.struct.NamedConstant;
import com.kerio.lib.json.api.connect.admin.struct.ProductInfo;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;
import org.junit.rules.Timeout;

public class Init_CheckMessageStorePathResultDiffblueTest {

  @Rule public final ExpectedException thrown = ExpectedException.none();
  @Rule public final Timeout globalTimeout = new Timeout(10000);

  /* testedClasses: Init_CheckMessageStorePathResult */
  // Test generated by Diffblue Deeptest.

  @Test
  public void getActionOutputNull() {

    // Arrange
    final GetEncryptionStatusResult objectUnderTest = new GetEncryptionStatusResult();

    // Act
    final String retval = objectUnderTest.getAction();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getCalculatedLanguageOutputNull() {

    // Arrange
    final GetBrowserLanguagesResult objectUnderTest = new GetBrowserLanguagesResult();

    // Act
    final String[] retval = objectUnderTest.getCalculatedLanguage();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getConfigOutputNull() {

    // Arrange
    final GetCentralManagementResult objectUnderTest = new GetCentralManagementResult();

    // Act
    final CentralManagementConfig retval = objectUnderTest.getConfig();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getConstantsOutputNull() {

    // Arrange
    final GetNamedConstantListResult objectUnderTest = new GetNamedConstantListResult();

    // Act
    final NamedConstant[] retval = objectUnderTest.getConstants();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getContentOutputNull() {

    // Arrange
    final GetEulaResult objectUnderTest = new GetEulaResult();

    // Act
    final String retval = objectUnderTest.getContent();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDirListOutputNull() {

    // Arrange
    final GetDirsResult objectUnderTest = new GetDirsResult();

    // Act
    final Directory[] retval = objectUnderTest.getDirList();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getDomainNamesOutputNull() {

    // Arrange
    final GetDistributableDomainsResult objectUnderTest = new GetDistributableDomainsResult();

    // Act
    final String[] retval = objectUnderTest.getDomainNames();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getErrorOutputNull() {

    // Arrange
    final GetEncryptionStatusResult objectUnderTest = new GetEncryptionStatusResult();

    // Act
    final EncryptionError retval = objectUnderTest.getError();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getFreeSpaceOutputNull() {

    // Arrange
    final CheckMessageStorePathResult objectUnderTest = new CheckMessageStorePathResult();

    // Act
    final Long retval = objectUnderTest.getFreeSpace();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getFreeSpaceOutputNull2() {

    // Arrange
    final GetMessageStorePathResult objectUnderTest = new GetMessageStorePathResult();

    // Act
    final Long retval = objectUnderTest.getFreeSpace();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getHostnameOutputNull() {

    // Arrange
    final GetHostnameResult objectUnderTest = new GetHostnameResult();

    // Act
    final String retval = objectUnderTest.getHostname();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getInfoOutputNull() {

    // Arrange
    final GetProductInfoResult objectUnderTest = new GetProductInfoResult();

    // Act
    final ProductInfo retval = objectUnderTest.getInfo();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getPathOutputNull() {

    // Arrange
    final GetMessageStorePathResult objectUnderTest = new GetMessageStorePathResult();

    // Act
    final String retval = objectUnderTest.getPath();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getProgressOutputNull() {

    // Arrange
    final GetEncryptionStatusResult objectUnderTest = new GetEncryptionStatusResult();

    // Act
    final EncryptionProgress retval = objectUnderTest.getProgress();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getResultOutputNull() {

    // Arrange
    final CheckMessageStorePathResult objectUnderTest = new CheckMessageStorePathResult();

    // Act
    final DirectoryAccessResult retval = objectUnderTest.getResult();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getResultOutputNull2() {

    // Arrange
    final CreateDistributableDomainResult objectUnderTest = new CreateDistributableDomainResult();

    // Act
    final ClusterError retval = objectUnderTest.getResult();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getStatusOutputNull() {

    // Arrange
    final GetCentralManagementStatusResult objectUnderTest = new GetCentralManagementStatusResult();

    // Act
    final CentralManagementStatus retval = objectUnderTest.getStatus();

    // result
    assertNull(retval);
  }

  // Test generated by Diffblue Deeptest.

  @Test
  public void getStatusOutputNull2() {

    // Arrange
    final GetEncryptionStatusResult objectUnderTest = new GetEncryptionStatusResult();

    // Act
    final String retval = objectUnderTest.getStatus();

    // result
    assertNull(retval);
  }
}
