/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.auth;

import javax.security.auth.callback.Callback;

/**
 *
 * @author tskoda
 */
public class ConnectCallback implements Callback {
    
    private final byte[] password;
    private final String userName;
    private boolean authenticated;

    public ConnectCallback(byte[] password, String userName) {
        this.password = password;
        this.userName = userName;
    }

    public byte[] getPassword() {
        return password;
    }

    public String getUserName() {
        return userName;
    }
    
    public void setAuthenticated(boolean authenticated) {
        this.authenticated = authenticated;
    }
    
    public boolean isAuthenticated() {
        return authenticated;
    }
    
    
    
    
}
