/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.auth;

import java.security.Provider;

/**
 *
 * @author tskoda
 */
public class ConnectSaslProvider extends Provider {

    public static final long serialVersionUID = 1L;
    public static final String MY_NAME = "connect.sasl";
    public static final double VERSION = 1.0;
    public static final String INFO = "This is enhanced Tigase provider";
    

    public ConnectSaslProvider() {
        super(MY_NAME, VERSION, INFO);
        putService(new Provider.Service(this, "SaslServerFactory", ConnectSaslPlain.MECHANISM,
                ConnectSaslServerFactory.class.getName(), null, null));
        
    }
    
    
}
