/*
 * Copyright 2014 Kerio Technologies s.r.o. All rights reserved
 */
package com.kerio.im.tigase.bridge;

import com.kerio.im.tigase.bridge.IM.IDomainInfoProvider;
import com.kerio.im.tigase.bridge.IM.IMConnectionManager;
import com.kerio.im.tigase.bridge.conversation.ConversationManager;
import com.kerio.im.tigase.bridge.xmpp.XmppConnectionManager;

/**
 *
 * @author vbystricky
 */
public interface IIMSynchronizationService {

    public IMConnectionManager IMConnectionManager();

    public XmppConnectionManager XmppConnectionManager();

    public ConversationManager ConversationManager();

    public IDomainInfoProvider DomainInfoProvider();
    
    public IMSubscribctionsMamager IMSubscribctionsMamager();
}
