/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.tigase.configuration;

import tigase.conf.ConfigItem;
import tigase.conf.ConfigRepositoryIfc;
import tigase.db.TigaseDBException;

/**
 *
 * @author tskoda
 */
public class PluginConfigurator {

    private final ConfigRepositoryIfc configRepo;

    public PluginConfigurator(ConfigRepositoryIfc configRepo) {
        this.configRepo = configRepo;
    }

    public void configure(String pluginId, String key, Object value) throws TigaseDBException {
        ConfigItem configItem = new ConfigItem();
        configItem.set("sess-man", "plugins-conf/" + pluginId, key, value);
        configRepo.addItem(configItem);

    }
}
