/*
 *  Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */

package com.kerio.im.tigase.roster;

import com.kerio.im.bean.User;
import com.kerio.im.xmpp.api.XmppUsers;
import java.util.EnumSet;
import java.util.Map;
import tigase.xmpp.BareJID;
import tigase.xmpp.impl.roster.RosterElement;

/**
 *
 * @author tskoda
 */
public interface IDefaultRosterListener {
    
    void add(User userToAdd);
    void remove(User userToRemove);
    void update(final User user, final EnumSet<XmppUsers.Changes> changes);
    void check(User user, Map<BareJID, RosterElement> roster);
    void repair(User user, Map<BareJID, RosterElement> roster);
    void bye();
    
}
