/*
 *  Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */

package com.kerio.im.tigase.user;

import com.kerio.im.bean.User;
import tigase.xmpp.BareJID;

/**
 *
 * @author tskoda
 */
public class UserMapper implements XmppUsersStore.Mapper<String, User> {

    @Override
    public String key(BareJID userBareJID) {
        return userBareJID.getLocalpart().toLowerCase();
    }
    
    @Override
    public User value(BareJID userBareJID, String fullName, boolean status, boolean visible) {
        return new User(userBareJID.getLocalpart().toLowerCase(), userBareJID.getDomain(), fullName, status, visible, false);
    }
    
}
