/*
 * Copyright 2013 Kerio Technologies s.r.o. All rights reserved.
 */
package com.kerio.im.service.task;

import com.kerio.im.common.Task;
import com.kerio.im.core.api.service.ServiceBus;
import com.kerio.im.core.api.service.ServiceBus.Event;

/**
 *
 * @author tskoda
 */
public class PublishEvent implements Task<ServiceBus.Event> {
    
    private final ServiceBus bus;

    public PublishEvent(ServiceBus bus) {
        this.bus = bus;
    }

    @Override
    public void run(Event parameter) {
        bus.publish(parameter);
    }
   
}
